QwtAlphaColorMap(3)

NAME
QwtAlphaColorMap -

SYNOPSIS

#include <qwt_color_map.h>

Inherits QwtColorMap.

  Public Member Functions
QwtAlphaColorMap (const QColor &=QColor(Qt::gray))
virtual ~QwtAlphaColorMap ()
QColor color () const
virtual QRgb rgb (const QwtInterval &, double value) const
void setColor (const QColor &)

  Additional Inherited Members

Detailed Description

QwtAlphaColorMap variies the alpha value of a color.

Constructor & Destructor Documentation

  QwtAlphaColorMap::QwtAlphaColorMap (const QColor &color = QColor( Qt::gray ))
Constructor

Parameters:
    color Color of the map

Member Function Documentation

  QColor QwtAlphaColorMap::color () const
Returns:
    the color

See also:
    setColor()

  QRgb QwtAlphaColorMap::rgb (const QwtInterval &interval, doublevalue) const [virtual]

Map a value of a given interval into a alpha value. alpha := (value - interval.minValue()) / interval.width();

Parameters:
    interval Range for all values
    value Value to map into a rgb value

Returns:
    rgb value, with an alpha value

Implements QwtColorMap.

  void QwtAlphaColorMap::setColor (const QColor &color)
Set the color

Parameters:
    color Color

See also:
    color()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.